<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Log FirePHP examples</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
</head>
<body>
<h1>Log FirePHP</h1>
<?php
require 'Log.php';

$logger = &Log::singleton('firephp', '', 'ident');
$logger->log("Hello World");
$logger->log("Log message", null, "Log message label");
$logger->log("Info message", PEAR_LOG_INFO, "Info message label");
$logger->log("Warning message", PEAR_LOG_WARNING, "Warning message label");
$logger->log("Error message", PEAR_LOG_ERR, "Error message label");

function test($Arg1) {
  throw new Exception('Test Exception');
}
try {
  test(array('Hello'=>'World'));
} catch(Exception $e) {
  /* Log exception including stack trace & variables */
  $logger->log($e, PEAR_LOG_ERR);
}
$logger->log("Backtrace to here", PEAR_LOG_DEBUG, FirePHP::TRACE);

$logger->log(array('2 SQL queries took 0.06 seconds',
             array(
                 array('SQL Statement','Time','Result'),
                 array('SELECT * FROM Foo','0.02',array('row1','row2')),
                 array('SELECT * FROM Bar','0.04',array('row1','row2'))
                  )),
             null, FirePHP::TABLE);

$logger->log(apache_request_headers(), PEAR_LOG_DEBUG, "RequestHeaders", FirePHP::DUMP);
?>
</body>
</html>